<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: simple_server.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('simple__server_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">simple_server.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="simple__server_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__SIMPLE_SERVER_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__SIMPLE_SERVER_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="server_8h.html">server.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpc.html">erpc</a> {</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classerpc_1_1_simple_server.html">   53</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpc_1_1_simple_server.html">SimpleServer</a> : <span class="keyword">public</span> <a class="code" href="classerpc_1_1_server.html">Server</a></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;{</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classerpc_1_1_simple_server.html#a1dada947d3e0774dd7dfef5e38e3192f">   61</a></span>&#160;    <a class="code" href="classerpc_1_1_simple_server.html#a1dada947d3e0774dd7dfef5e38e3192f">SimpleServer</a>()</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    : <a class="code" href="classerpc_1_1_simple_server.html#a2d72700efd180999dd0d09e448132b6a">m_isServerOn</a>(true)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    {</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    }</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpc_1_1_simple_server.html#a352a2f5a067fc8c2e2f572f79fa28c70">~SimpleServer</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_simple_server.html#a55b93fa3880b659fb6a9b1d02ebb2628">run</a>();</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_simple_server.html#accac676c2c270f2e921bf45da59214e0">poll</a>();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classerpc_1_1_simple_server.html#a988a015971a73abde853bcbafc1deeaa">stop</a>();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_simple_server.html#a2b30dc123a591d0dbf313dfe4d93176a">runInternal</a>();</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpc_1_1_simple_server.html#a71ddeea79721305ff5f98a0d1abc7642">disposeBufferAndCodec</a>(<a class="code" href="classerpc_1_1_codec.html">Codec</a> *codec);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classerpc_1_1_simple_server.html#a2d72700efd180999dd0d09e448132b6a">  110</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpc_1_1_simple_server.html#a2d72700efd180999dd0d09e448132b6a">m_isServerOn</a>; </div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;};</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;} <span class="comment">// namespace erpc</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__SIMPLE_SERVER_H_</span></div><div class="ttc" id="group__infra_html_ga5f8872e58f09a16d192bf664f9898651"><div class="ttname"><a href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a></div><div class="ttdeci">int32_t erpc_status_t</div><div class="ttdoc">Type used for all status and error return values. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:99</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a55b93fa3880b659fb6a9b1d02ebb2628"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a55b93fa3880b659fb6a9b1d02ebb2628">erpc::SimpleServer::run</a></div><div class="ttdeci">virtual erpc_status_t run()</div><div class="ttdoc">Run server in infinite loop. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:119</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a2b30dc123a591d0dbf313dfe4d93176a"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a2b30dc123a591d0dbf313dfe4d93176a">erpc::SimpleServer::runInternal</a></div><div class="ttdeci">erpc_status_t runInternal()</div><div class="ttdoc">Run server implementation. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:65</div></div>
<div class="ttc" id="classerpc_1_1_codec_html"><div class="ttname"><a href="classerpc_1_1_codec.html">erpc::Codec</a></div><div class="ttdoc">Abstract serialization encoder/decoder interface. </div><div class="ttdef"><b>Definition:</b> codec.h:69</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a352a2f5a067fc8c2e2f572f79fa28c70"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a352a2f5a067fc8c2e2f572f79fa28c70">erpc::SimpleServer::~SimpleServer</a></div><div class="ttdeci">virtual ~SimpleServer()</div><div class="ttdoc">SimpleServer destructor. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:43</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a1dada947d3e0774dd7dfef5e38e3192f"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a1dada947d3e0774dd7dfef5e38e3192f">erpc::SimpleServer::SimpleServer</a></div><div class="ttdeci">SimpleServer()</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> simple_server.h:61</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a2d72700efd180999dd0d09e448132b6a"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a2d72700efd180999dd0d09e448132b6a">erpc::SimpleServer::m_isServerOn</a></div><div class="ttdeci">bool m_isServerOn</div><div class="ttdef"><b>Definition:</b> simple_server.h:110</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a988a015971a73abde853bcbafc1deeaa"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a988a015971a73abde853bcbafc1deeaa">erpc::SimpleServer::stop</a></div><div class="ttdeci">virtual void stop()</div><div class="ttdoc">This function sets server from ON to OFF. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:145</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_accac676c2c270f2e921bf45da59214e0"><div class="ttname"><a href="classerpc_1_1_simple_server.html#accac676c2c270f2e921bf45da59214e0">erpc::SimpleServer::poll</a></div><div class="ttdeci">virtual erpc_status_t poll()</div><div class="ttdoc">Run server implementation only if exist message to process. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:129</div></div>
<div class="ttc" id="server_8h_html"><div class="ttname"><a href="server_8h.html">server.h</a></div></div>
<div class="ttc" id="classerpc_1_1_server_html"><div class="ttname"><a href="classerpc_1_1_server.html">erpc::Server</a></div><div class="ttdoc">Based server functionality. </div><div class="ttdef"><b>Definition:</b> server.h:115</div></div>
<div class="ttc" id="namespaceerpc_html"><div class="ttname"><a href="namespaceerpc.html">erpc</a></div><div class="ttdef"><b>Definition:</b> arbitrated_client_manager.h:47</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html_a71ddeea79721305ff5f98a0d1abc7642"><div class="ttname"><a href="classerpc_1_1_simple_server.html#a71ddeea79721305ff5f98a0d1abc7642">erpc::SimpleServer::disposeBufferAndCodec</a></div><div class="ttdeci">void disposeBufferAndCodec(Codec *codec)</div><div class="ttdoc">Disposing message buffers and codecs. </div><div class="ttdef"><b>Definition:</b> simple_server.cpp:53</div></div>
<div class="ttc" id="classerpc_1_1_simple_server_html"><div class="ttname"><a href="classerpc_1_1_simple_server.html">erpc::SimpleServer</a></div><div class="ttdoc">Based server implementation. </div><div class="ttdef"><b>Definition:</b> simple_server.h:53</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
